{
  "model": {
    "type": "select",
    "property": "custom_model_data",
    "cases": [
      {"when":"wishlist:vendor", "model":{"type":"model","model":"vendor:block/vendor"}}
    ],
    "fallback":{
      "type": "range_dispatch",
      "property": "custom_model_data",
      "entries": [
        { "threshold": 271828, "model": { "type": "model", "model": "better_gossip:block/radio" } },
        { "threshold": 271833, "model": { "type": "model", "model": "custom_blocks:item/chess_pawn_black" } },
        { "threshold": 271834, "model": { "type": "model", "model": "custom_blocks:item/chess_knight_black" } },
        { "threshold": 271835, "model": { "type": "model", "model": "custom_blocks:item/chess_bishop_black" } },
        { "threshold": 271836, "model": { "type": "model", "model": "custom_blocks:item/chess_rook_black" } },
        { "threshold": 271837, "model": { "type": "model", "model": "custom_blocks:item/chess_queen_black" } },
        { "threshold": 271838, "model": { "type": "model", "model": "custom_blocks:item/chess_king_black" } },
        { "threshold": 271839, "model": { "type": "model", "model": "custom_blocks:item/chess_pawn_white" } },
        { "threshold": 271840, "model": { "type": "model", "model": "custom_blocks:item/chess_knight_white" } },
        { "threshold": 271841, "model": { "type": "model", "model": "custom_blocks:item/chess_bishop_white" } },
        { "threshold": 271842, "model": { "type": "model", "model": "custom_blocks:item/chess_rook_white" } },
        { "threshold": 271843, "model": { "type": "model", "model": "custom_blocks:item/chess_queen_white" } },
        { "threshold": 271844, "model": { "type": "model", "model": "custom_blocks:item/chess_king_white" } },
        { "threshold": 271845, "model": { "type": "model", "model": "skip:block/map_core" } },
        { "threshold": 271846, "model": { "type": "model", "model": "modern_lights:item/small_light" } },
        { "threshold": 271847, "model": { "type": "model", "model": "modern_lights:item/medium_light" } },
        { "threshold": 271848, "model": { "type": "model", "model": "modern_lights:item/large_light" } },
        { "threshold": 271849, "model": { "type": "model", "model": "better_recipes:block/cooking_still" } },
        { "threshold": 271850, "model": { "type": "model", "model": "better_recipes:block/cooking_oven" } },
        { "threshold": 271851, "model": { "type": "model", "model": "better_recipes:block/cooking_plate" } },
        { "threshold": 271852, "model": { "type": "model", "model": "better_recipes:block/cooking_press" } },
        { "threshold": 271853, "model": { "type": "model", "model": "better_recipes:block/cooking_rest" } },
        { "threshold": 271854, "model": { "type": "model", "model": "better_recipes:block/cooking_pan" } },
        { "threshold": 271855, "model": { "type": "model", "model": "better_recipes:block/cooking_pot" } },
        { "threshold": 271856, "model": { "type": "model", "model": "better_recipes:block/cooking_sink" } },
        { "threshold": 271857, "model": { "type": "model", "model": "better_recipes:block/cooking_trash" } },
        { "threshold": 271858, "model": { "type": "model", "model": "better_recipes:block/cooking_steamer" } },
        { "threshold": 271859, "model": { "type": "model", "model": "better_recipes:block/cooking_cask" } },
        { "threshold": 271860, "model": { "type": "model", "model": "parkour:block/spring_vertical_yellow" } },
        { "threshold": 271861, "model": { "type": "model", "model": "parkour:block/spring_diagonal_yellow" } },
        { "threshold": 271862, "model": { "type": "model", "model": "parkour:block/spring_vertical_red" } },
        { "threshold": 271863, "model": { "type": "model", "model": "parkour:block/spring_diagonal_red" } },
        { "threshold": 271864, "model": { "type": "model", "model": "custom_discs:block/gramophone_empty" } },
        { "threshold": 271865, "model": { "type": "model", "model": "custom_discs:block/gramophone_full" } },
        { "threshold": 271868, "model": { "type": "model", "model": "dungeons:block/dungeon_small_lock" } },
        { "threshold": 271869, "model": { "type": "model", "model": "dungeons:block/dungeon_big_lock" } },
        { "threshold": 271870, "model": { "type": "model", "model": "summon:item/contract" } },
        { "threshold": 271871, "model": { "type": "model", "model": "modern_lights:item/huge_light" } }
      ],
      "fallback": {
        "type": "minecraft:model",
        "model": "minecraft:item/item_frame"
      }
    }
  }
}
